Binary(3)

NAME
Heap::Binary - a Perl extension for keeping data partially sorted

SYNOPSIS
  use Heap::Binary;

  $heap = Heap::Binary->new;
  # see Heap(3) for usage

DESCRIPTION
Keeps an array of elements in heap order. The heap method of an element is used to store the index into the array that refers to the element.

See Heap for details on using this module.

AUTHOR
John Macdonald, jmm@perlwolf.com

COPYRIGHT
Copyright 1998-2003, O'Reilly & Associates.

This code is distributed under the same copyright terms as perl itself.

SEE ALSO
Heap(3), Heap::Elem(3).